Bug 433091 - 'yum erase' should log the time in locale 'C'
'yum erase' should log the time in locale 'C'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 01:12 EST by Akihiro Nomura
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.17-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 22:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akihiro Nomura 2008-02-16 01:12:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
Yum records its transactions (Install/Update/Erase) into yum.log with the time.
Normally, in the case of Install or Update, yum records the time in English (may be in locale 'C') even if yum is invoked in Japanese locale (LC_TIME="ja_JP.UTF-8")
However, in the case of Erase, yum records the time in Japanese when it is invoked in LC_TIME="ja_JP.UTF-8".
It is inconvenient that multiple time formats are mixed in one log.


Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. $ export LANG=ja_JP.UTF-8
2. $ sudo yum erase <something>
3. $ sudo tail /var/log/yum.log

Actual Results:
An entry in Japanese time format is recorded into yum.log like following.

> Feb 14 22:13:42 Updated: yelp - 2.20.0-7.fc8.i386
>  2月 16 14:37:05 Erased: kernel


Expected Results:
An entry in English (C locale) time format is recorded.

> Feb 14 22:13:42 Updated: yelp - 2.20.0-7.fc8.i386
> Feb 16 14:37:05 Erased: kernel


Additional info:
Another difference in log between Install/Update and Erase exists:
Yum also records the version of involved rpm in the case of Install or Update, but yum doesn't record the version number in the case of Erase.
That is also inconvenient when multiple versions of kernel packages are installed and I erase one version of these kernel packages like in the example above.
In this case, I cannot know which version of the kernel is erased from the log.
Comment 1 Seth Vidal 2008-02-21 10:51:50 EST
Tell logwatch to stop reading it from the yum.log and read it from the syslog
report in /var/log/messages.
Comment 2 Seth Vidal 2008-02-21 10:53:31 EST
Whoops - wrong bug report. I'm sorry. I was writing in another window and got
them confused.
Comment 3 Seth Vidal 2008-03-12 12:49:46 EDT
YUMBUGDAY
Comment 4 Jeremy Katz 2008-06-12 14:44:33 EDT
Fixed in git
Comment 5 Fedora Update System 2008-07-09 10:51:26 EDT
yum-3.2.17-1.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-07-22 13:28:33 EDT
yum-3.2.17-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-07-23 22:11:01 EDT
yum-3.2.17-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-08-07 13:16:50 EDT
yum-3.2.18-1.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-08-27 14:02:26 EDT
yum-3.2.19-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/yum-3.2.19-1.fc8
Comment 10 Fedora Update System 2008-09-10 02:58:30 EDT
yum-3.2.19-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.